import time
import Gnuplot

class Graph:
  """ Draw a time series. As is, tries to use Gnuplot.py, but
   is intentionally modifiable. """
  def __init__(self,filename):
    self.filename = filename
    self.g = Gnuplot.Gnuplot()
    self.g('set timefmt "%s"')
    self.g('set xdata time')
    self.g('set format x "%02m-%02d"')
    self.data = []
#    self.f = open(filename, 'w')

  def add(self,t,v):
#    self.f.write(time.asctime(time.localtime(t))+":"+str(v)+"\n")
#    self.f.write('%d %d\n' % (t, v))
    self.data.append([t,v])

  def end(self,title=None):
#    self.f.close()
    d = Gnuplot.Data(self.data, with='steps', title=title, using='1:2')
    self.g._add_to_queue([d])
#    self.g.plot(d)
    self.g.hardcopy(self.filename, terminal='png')
